/*!
 * @file glgui_container.h
 * The gl_container widget of th openglGUI
 *
 */

#ifndef _GLGUI_CONTAINER_H
#define _GLGUI_CONTAINER_H

#include "glgui_widget.h"

// FORWARD DECLARATION
template<class T> class tList;

//! This is part of the openglGUI class
/**
 *
 */
class GLGuiContainer : public GLGuiWidget {

 public:
  GLGuiContainer();
  virtual ~GLGuiContainer();

  void init();

  void add(GLGuiWidget* widget);

  void setBorderWidth(float borderwidth);

  void hideAll();
  void showAll();


  virtual void draw();

 private:
  tList<GLGuiWidget>*           children;

};

#endif /* _GLGUI__H */
